<template>
     <v-app-bar class="main-top-bar">
          <v-app-bar-nav-icon @click="setDrawer()" ></v-app-bar-nav-icon>

          <v-toolbar-title class="page-header pl-0">{{ title }} </v-toolbar-title>
          <v-spacer></v-spacer>
          <span class="mr-3 user-name">{{ getSession.username }} </span>

           <v-menu bottom left offset-y >
            <template v-slot:activator="{ on, attrs }">
               <v-avatar
                 size="32px"
                 v-bind="attrs"  v-on="on"
                 >
                <img
                  src="../../assets/user.png"
                  alt="Avatar"
                >
               </v-avatar>
            </template>
            <v-list>
             <v-list-item-group class="px-3 nav-links" v-model="selected">
              <v-list-item
                v-for="(item, i) in items"
                :key="i"
                :value="item"
                link
                @click="clickMenu(item)"
              >
                <v-list-item-title >{{ item.title }}</v-list-item-title>
              </v-list-item>
             </v-list-item-group>
            </v-list>
          </v-menu>
    </v-app-bar>
</template>

<script>
import { mapGetters, mapMutations, mapActions, mapState } from 'vuex';

export default {
  name: 'TopBar',

  data() {
    return {
      drawer: true,
      title: 'Inventory',
      items: [
        { title: 'Logout', function: 'logout' },
      ],
      show: false,
      selected: [1],
      showLanguage: false,
    };
  },
  computed: {
    ...mapGetters(['getSelectedMenu', 'getSession', 'getDrawerStatus']),

    routeMeta() {
      return this.$route.meta;
    },
  },
  watch: {
    getDrawerStatus(status) {
      this.drawer = status;
    },
    getSelectedMenu(val) {
      this.title = val.title;
    },
  },
  async mounted() {
    const menu = this.getSelectedMenu;
    this.title = menu ? menu.title : this.title;
  },
  methods: {
    ...mapMutations(['setDrawerStatus']),
    ...mapActions(['clearCache']),
    async logout() {
      await this.clearCache();
      this.$router.push('/login');
    },
    clickMenu(val) {
      switch (val.function) {
        case 'logout':
          this.logout();
          break;
        default:
          break;
      }
    },
    setDrawer() {
      this.drawer = !this.drawer;
      this.setDrawerStatus(this.drawer);
    },

  },
};
</script>

<style>

</style>
